@import url('https://fonts.googleapis.com/css2?family=Roboto&family=Open+Sans&family=Russo+One&family=Space+Grotesk:wght@400;500;700&display=swap');
*{
    box-sizing: border-box;
}

body{
    font-family: 'Roboto' , sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
}
section.container{
    display: flex;
    width: 90vw;
}
.panel{
    /* this style will turn image into full background--even in really small part */
    background-size:auto 100%;
    background-position: center;
    background-repeat: no-repeat;
     height:80vh; 
     border-radius: 50px; 
     color:#fff;
     cursor:pointer;
    flex:0.5;
    /* in case of selected picture, the flex number will be increased */
    margin:10px;
    position:relative;
    transition:flex 0.7s ease-in-out
}
.panel h3{
    font-size: 24px;
    position: absolute;
    bottom:20px;
    left:20px;
    margin:0;
    opacity:0;
}
.panel.active{
    flex:5 
}
.panel.active h3{
    opacity:1;
    transition: opacity 0.3s ease-in 0.4s;
}
@media (max-width:480px) {
    .container{
        width:100vw;
    }
    .panel:nth-child(4),
    .panel:nth-child(5){
        display: none;
    }
}